namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter06.Listing06_11
{
    using System;

    public class Program
    {
        public static void Main()
        {
            Employee employee = new Employee();

            employee.SetName("Inigo", "Montoya");
        }
    }

    class Employee
    {
        public string FirstName;
        public string LastName;
        public string Salary = "Za niskie";

        public string GetName()
        {
            return $"{ FirstName }  { LastName }";
        }

        public void SetName(string newFirstName, string newLastName)
        {
            this.FirstName = newFirstName;
            this.LastName = newLastName;
            Console.WriteLine(
      $"Imię i nazwisko zmieniono na '{ this.GetName() }'.");
        }
    }
}
